ChangeSet 1.855.9.4, 2002/10/31 18:23:43-08:00, greg@kroah.com

[PATCH] USB: audio fix up for missed debug code.


diff -Nru a/sound/usb/usbaudio.c b/sound/usb/usbaudio.c
--- a/sound/usb/usbaudio.c	Tue Nov  5 16:10:47 2002
+++ b/sound/usb/usbaudio.c	Tue Nov  5 16:10:47 2002
@@ -1879,7 +1879,7 @@
 		}
 		if (iface->altsetting[0].desc.bInterfaceClass != USB_CLASS_AUDIO ||
 		    iface->altsetting[0].desc.bInterfaceSubClass != USB_SUBCLASS_AUDIO_STREAMING) {
-			snd_printdd(KERN_ERR "%d:%u:%d: skipping non-supported interface %d\n", dev->devnum, ctrlif, j, iface->altsetting[0].bInterfaceClass);
+			snd_printdd(KERN_ERR "%d:%u:%d: skipping non-supported interface %d\n", dev->devnum, ctrlif, j, iface->altsetting[0].desc.bInterfaceClass);
 			/* skip non-supported classes */
 			continue;
 		}
